<bugID>1361285<Summary>Add new addresses and credit-card engines to about:preferences#sync</Summary><Description>We agreed to split "History" into "Forms" and "History" (bug 1360746), but I believe we also expressed a desire to add more information to these checkboxes to indicate what to sync. We also need the exact wording for "Forms" (maybe just "Forms" :), and also where this checkbox should be placed (it's unfortunate that we will now have an odd number of engines)

IOW, we need a mockup of what about:preferences#sync should look like with this split in place - but *before* we add form autofill to the mix (ie, any descriptions should *not* include form autofill at this time, as the current plan is to land this change before form autofill is enabled).

Alex and Ryan, are you able to help with this?</Description></bugID>